#include <limits.h>

/*@
  @ lemma Zmul_le_mono_nonneg_l :
  @         \forall integer x, y, z;
  @           0 <= x ==> y <= z ==> x * y <= x * z;
  @
  @ lemma Zadd_le_mul :
  @         \forall integer x, y;
  @           2 <= x ==> 2 <= y ==> x + y <= x * y;
  @*/

/*@
  @ requires 2 <= x;
  @ requires 2 <= y;
  @ requires x * (x * y) <= INT_MAX;
  @ ensures x * (x + y) <= x * (x * y);
  @ assigns \nothing;
  @*/
void foo(int x, int y) {
}
